Bug 747668 - [Sandybridge] Tearing on the i965 display adapter in Gnome Shell and while playing video
Summary: [Sandybridge] Tearing on the i965 display adapter in Gnome Shell and while pl...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:rendering]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-20 17:24 UTC by bordjukov
Modified: 2018-04-11 10:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 08:01:09 UTC


Attachments (Terms of Use)
Xorg log file (35.48 KB, text/plain)
2011-10-20 17:28 UTC, bordjukov
no flags Details
ROM of the adapter (64.00 KB, text/plain)
2011-10-20 17:30 UTC, bordjukov
no flags Details
/sys/kernel/debug/dri/0/i915_opregion (8.00 KB, text/plain)
2011-10-20 17:34 UTC, bordjukov
no flags Details
/sys/kernel/debug/dri/64/i915_opregion (8.00 KB, text/plain)
2011-10-20 17:37 UTC, bordjukov
no flags Details
Output of the glxinfo command (12.03 KB, text/plain)
2011-10-20 17:39 UTC, bordjukov
no flags Details
dmesg output during system usage (122.72 KB, text/plain)
2011-10-20 22:43 UTC, bordjukov
no flags Details
/var/log/messages since the install of the system (6.17 MB, text/plain)
2011-10-20 22:52 UTC, bordjukov
no flags Details
Screenshot of glxgears running (201.23 KB, image/png)
2011-10-20 23:28 UTC, bordjukov
no flags Details
Comment (75.08 KB, text/plain)
2011-10-20 17:24 UTC, bordjukov
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 37686 None None None Never
Launchpad 755841 None None None Never

Description bordjukov 2011-10-20 17:24:25 UTC
Created attachment 915373 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 1 bordjukov 2011-10-20 17:28:48 UTC
Created attachment 529347 [details]
Xorg log file

Comment 2 bordjukov 2011-10-20 17:30:29 UTC
Created attachment 529348 [details]
ROM of the adapter

su -c 'dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1'

Comment 3 bordjukov 2011-10-20 17:34:17 UTC
Created attachment 529349 [details]
/sys/kernel/debug/dri/0/i915_opregion

Optregion data

Comment 4 bordjukov 2011-10-20 17:37:32 UTC
Created attachment 529350 [details]
/sys/kernel/debug/dri/64/i915_opregion

Comment 5 bordjukov 2011-10-20 17:39:47 UTC
Created attachment 529351 [details]
Output of the glxinfo command

Comment 6 Matěj Cepl 2011-10-20 22:05:22 UTC
Could we get output of the dmesg command after the issue is reproduced, please?

Thank you

Comment 7 bordjukov 2011-10-20 22:43:34 UTC
Created attachment 529396 [details]
dmesg output during system usage

dmesg after using the system for a while

Comment 8 bordjukov 2011-10-20 22:52:53 UTC
Created attachment 529398 [details]
/var/log/messages since the install of the system

Comment 9 bordjukov 2011-10-20 23:12:07 UTC
Comment on attachment 529398 [details]
/var/log/messages since the install of the system

You may notice an issue with the i915 driver throwing the following warning:

Oct 20 20:37:17 xxx-acer kernel: [ 2041.909573] WARNING: at drivers/gpu/drm/i915/i915_drv.c:372 gen6_gt_force_wake_put+0x29/0x51 [i915]()

I made the mistake to browse for the /sys/kernel/debug/dri/64/i915_opregion file with my browser, and this was the only time this warning was thrown.

Also there seems to be an unrelated issue with the iwlagn driver for the wireless nw adapter.

Comment 10 bordjukov 2011-10-20 23:28:24 UTC
Created attachment 529403 [details]
Screenshot of glxgears running

The tearing is not visible on the screenshot, however it is visible on the screen.

Comment 11 bordjukov 2011-11-26 17:27:42 UTC
Hello,

I stumbled upon a workaround for the issue:

The tearing in gnome-shell disappeared after I added the following to my /etc/environment file:
CLUTTER_PAINT=disable-clipped-redraws:disable-culling

I am not sure how much does this affect performance.

Comment 12 lav 2012-04-18 06:00:57 UTC
I also have tearing problem with i965. But it only happens on the monitor plugged to DVI connector.

I have dual-screen config, one monitor on DVI, another on VGA connector.

Comment 13 lav 2012-04-18 06:08:52 UTC
Sorry for confusion, the tearing is also visible on VGA too.

Comment 14 Fedora End Of Life 2013-01-16 09:57:45 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Fedora End Of Life 2013-02-13 08:01:13 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.